from fastapi import FastAPI

fastAPI = FastAPI()

@fastAPI.get("/")
def root():
    return {"message" : "Hello World"}

@fastAPI.get("/home")
def home():
    return {"message" : "home"}

@fastAPI.get("/home/{name}")
def homeName(name:str):
    return {"name" : name}

@fastAPI.get("/home/error/{errorNumber}")
def homeError(errorNumber:int):
    return {"error" : errorNumber}